YPWHICH(1)

NAME
ypwhich - return hostname of NIS server or map master

SYNOPSIS
ypwhich [ -d domain ] [ -m [ mname ] [ -t ] | [ -V1 | -V2 ] hostname ]
ypwhich -x

AVAILABILITY

This command is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

ypwhich tells which NIS server supplies NIS services to an NIS client, or which is the master for a map. If invoked without arguments, it gives the NIS server for the local machine. If hostname is specified, that machine is queried to find out which NIS server it is using.

Refer to ypfiles(5) and ypserv(8) for an overview of the NIS services.

OPTIONS

-d  Use domain instead of the default domain.

-V1 Which server is serving v.1 NIS protocol-speaking client processes.

-V2 Which server is serving v.2 NIS protocol client processes.

    If neither version is specified, ypwhich attempts to locate the server that supplies the (current) v.2 services. If there is no v.2 server currently bound, ypwhich then attempts to locate the server supplying the v.1 services. Since NIS servers and NIS clients are both backward compatible, the user need seldom be concerned about which version is currently in use.

-t  Inhibit nickname translation; useful if there is a mapname identical to a nickname. This is not true of any Sun-supplied map.

-m  Find the master NIS server for a map. No hostname can be specified with the -m option. mname can be a mapname, or a nickname for a map. When mname is omitted, produce a list of available maps.

-x  Display the map nickname table. This lists the nicknames (mnames) the command knows of, and indicates the mapname associated with each nickname.

SEE ALSO
ypfiles(5), rpcinfo(8C), ypserv(8), ypset(8)

NOTES

NIS was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.